Skip to main content
POST
Create environment

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

Body

application/json
name
string
required

Environment name. New environments are private.

Minimum string length: 1

Response

Environment created successfully

id
string<uuid>
required
name
string
required
project_id
string<uuid>
required
domains
string[]
required

Custom domains attached to the environment.

environment_variables
object[]
required

Variable metadata with masked values.

protected
boolean
deployment
object | null

Latest deployment in the environment.

created_at
string
updated_at
string